### Method

# Gimp Metadata set_resolution

since: 2.10

#### Declaration [src]

    void
    gimp_metadata_set_resolution (
      GimpMetadata* metadata,
      gdouble xres,
      gdouble yres,
      GimpUnit* unit
    )

#### Description [src]

Sets Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of `metadata`.

Available since: 2.10

#### Parameters

`xres`

  Type: `gdouble`

  The image’s X Resolution, in ppi.

`yres`

  Type: `gdouble`

  The image’s Y Resolution, in ppi.

`unit`

  Type: `GimpUnit`

  The image’s unit.

  The data is owned by the caller of the method.